## org.exist.cocoon
Class CocoonSessionWrapper

    java.lang.Object
      org.exist.cocoon.CocoonSessionWrapper

All Implemented Interfaces:
  SessionWrapper

public class CocoonSessionWrapper
extends java.lang.Object
implements SessionWrapper

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`CocoonSessionWrapper(org.apache.cocoon.environment.Session session)`

Method Summary
`java.lang.Object` `getAttribute(java.lang.String arg0)`
`java.util.Enumeration` `getAttributeNames()`
`long` `getCreationTime()`
`java.lang.String` `getId()`
`long` `getLastAccessedTime()`
`int` `getMaxInactiveInterval()`
`int` `hashCode()`
`void` `invalidate()`
`boolean` `isNew()`
`void` `removeAttribute(java.lang.String arg0)`
`void` `setAttribute(java.lang.String arg0, java.lang.Object arg1)`
`void` `setMaxInactiveInterval(int arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CocoonSessionWrapper

    public CocoonSessionWrapper(org.apache.cocoon.environment.Session session)

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String arg0)

  Specified by:
    `getAttribute` in interface `SessionWrapper`
  Parameters:
    `arg0` -

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `SessionWrapper`

### getCreationTime

    public long getCreationTime()

  Specified by:
    `getCreationTime` in interface `SessionWrapper`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `SessionWrapper`

### getLastAccessedTime

    public long getLastAccessedTime()

  Specified by:
    `getLastAccessedTime` in interface `SessionWrapper`

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Specified by:
    `getMaxInactiveInterval` in interface `SessionWrapper`

### hashCode

    public int hashCode()

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `SessionWrapper`

### isNew

    public boolean isNew()

  Specified by:
    `isNew` in interface `SessionWrapper`

### removeAttribute

    public void removeAttribute(java.lang.String arg0)

  Specified by:
    `removeAttribute` in interface `SessionWrapper`
  Parameters:
    `arg0` -

### setAttribute

    public void setAttribute(java.lang.String arg0,
                             java.lang.Object arg1)

  Specified by:
    `setAttribute` in interface `SessionWrapper`
  Parameters:
    `arg0` -
    `arg1` -

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int arg0)

  Specified by:
    `setMaxInactiveInterval` in interface `SessionWrapper`
  Parameters:
    `arg0` -

Copyright (C) Wolfgang Meier. All rights reserved.